## atspi-editabletext atspi-editabletext |

## Functions

gboolean | atspi_editable_text_insert_text ()
gboolean | atspi_editable_text_copy_text ()
gboolean | atspi_editable_text_cut_text ()
gboolean | atspi_editable_text_delete_text ()
gboolean | atspi_editable_text_paste_text ()

## Types and Values

| AtspiEditableText

## Object Hierarchy

        GInterface
        ╰── AtspiEditableText

## Known Implementations

AtspiEditableText is implemented by AtspiAccessible.

## Description

## Functions

### atspi_editable_text_insert_text ()

    gboolean
    atspi_editable_text_insert_text (AtspiEditableText *obj,
                                     gint position,
                                     const gchar *text,
                                     gint length,
                                     GError **error);

Inserts text into an AtspiEditableText object. As with all character offsets, the specified `position` may not be the same as the resulting byte offset, since the text is in a variable-width encoding.

#### Parameters

obj | a pointer to the AtspiEditableText object to modify. |
position | a gint indicating the character offset at which to insert the new text. |
text | a string representing the text to insert, in UTF-8 encoding. |
length | the number of characters of text to insert, in bytes. If the byte count of text is less than or equal to length, the entire contents of text will be inserted. |

#### Returns

TRUE if the operation was successful, otherwise FALSE.

### atspi_editable_text_copy_text ()

    gboolean
    atspi_editable_text_copy_text (AtspiEditableText *obj,
                                   gint start_pos,
                                   gint end_pos,
                                   GError **error);

Copies text from an AtspiEditableText object into the system clipboard.

see: atspi_editable_text_paste_text

#### Parameters

obj | a pointer to the AtspiEditableText object to modify. |
start_pos | a gint indicating the starting character offset of the text to copy. |
end_pos | a gint indicating the offset of the first character past the end of the text section to be copied. |

#### Returns

TRUE if the operation was successful, otherwise FALSE.

### atspi_editable_text_cut_text ()

    gboolean
    atspi_editable_text_cut_text (AtspiEditableText *obj,
                                  gint start_pos,
                                  gint end_pos,
                                  GError **error);

Deletes text from an AtspiEditableText object, copying the excised portion into the system clipboard.

see: atspi_editable_text_paste_text

#### Parameters

obj | a pointer to the AtspiEditableText object to modify. |
start_pos | a gint indicating the starting character offset of the text to cut. |
end_pos | a gint indicating the offset of the first character past the end of the text section to be cut. |

#### Returns

TRUE if operation was successful, FALSE otherwise.

### atspi_editable_text_delete_text ()

    gboolean
    atspi_editable_text_delete_text (AtspiEditableText *obj,
                                     gint start_pos,
                                     gint end_pos,
                                     GError **error);

Deletes text from an AtspiEditableText object, without copying the excised portion into the system clipboard.

see: atspi_editable_text_cut_text

#### Parameters

obj | a pointer to the AtspiEditableText object to modify. |
start_pos | a gint indicating the starting character offset of the text to delete. |
end_pos | a gint indicating the offset of the first character past the end of the text section to be deleted. |

#### Returns

TRUE if the operation was successful, otherwise FALSE.

### atspi_editable_text_paste_text ()

    gboolean
    atspi_editable_text_paste_text (AtspiEditableText *obj,
                                    gint position,
                                    GError **error);

Inserts text from the system clipboard into an AtspiEditableText object. As with all character offsets, the specified `position` may not be the same as the resulting byte offset, since the text is in a variable-width encoding.

#### Parameters

obj | a pointer to the AtspiEditableText object to modify. |
position | a gint indicating the character offset at which to insert the new text. |

#### Returns

TRUE if the operation was successful, otherwise FALSE.

## Types and Values

### AtspiEditableText

    typedef struct _AtspiEditableText AtspiEditableText;